> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk update work assignments

> Bulk-update the work assignments matching the selection criteria. Selection uses the same grammar as the work assignment search endpoint.



## OpenAPI

````yaml /spec/openapi.json post /work_assignments/bulk/update
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /work_assignments/bulk/update:
    post:
      tags:
        - Work Assignments
      summary: Bulk update work assignments
      description: >-
        Bulk-update the work assignments matching the selection criteria.
        Selection uses the same grammar as the work assignment search endpoint.
      operationId: work-assignments-bulk-update
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    business_entity_id:
                      type: string
                      description: The business entity whose work assignments to update.
                    work_assignments:
                      type: object
                      description: >-
                        The selection criteria.


                        `work_assignments.include` must be either the string
                        `"all"`, or an object containing one or more of `ids`
                        (string array), `payee_type` (`employee` or
                        `contractor`), `pay_schedule_id`, `archived` (boolean),
                        `payee_names` (string).


                        `work_assignments.exclude` (optional) is an object
                        containing one or more of the same keys.
                      properties:
                        exclude:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                            payee_type:
                              type: string
                              enum:
                                - contractor
                                - employee
                            pay_schedule_id:
                              type: string
                            archived:
                              type: boolean
                            payee_names:
                              type: string
                - type: object
                  required:
                    - business_entity_id
                    - work_assignments
            example:
              business_entity_id: <id>
              work_assignments:
                include: all
      responses:
        '202':
          description: Accepted
components:
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````